Subject: bug#78014: 30.1.50; wishlist: gnus nnimap background downloading

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 May 2025 12:55:31 +0300

> Cc: [email-masked]
> From: Robert Pluim <[email-masked]>
> Date: Tue, 29 Apr 2025 10:27:50 +0200
> 
> >>>>> On Mon, 28 Apr 2025 13:37:49 -0800, Christopher Howard <[email-masked]> said:
> 
>     Christopher> Thank you, I am giving this a try:
>     Christopher> (setq nnimap-fetch-partial-articles t)
> 
>     Christopher> The e-mails I am currently looking at don't have
>     Christopher> large attachments, but I'll try this out over the
>     Christopher> next few days and see if it helps.
> 
>     Christopher> I notice this variable is not customizable, which
>     Christopher> seems a little strange.
> 
> Itʼs a "server variable", which means itʼs possible to set it to
> different values based on which server youʼre talking to (in your
> select method definition). That also means that if you want to set a
> default value you need to make sure itʼs set before Gnus loads (or set
> it explicitly in your "nnimap" server definition).
> 
>     Christopher> I notice it also allows you to do use a value like "text/" to download
>     Christopher> just the text parts. I'm a little confused though about how it would
>     Christopher> know which parts are text without downloading the entire e-mail
>     Christopher> first. Does email have a table of contents at the beginning of the
>     Christopher> body, which lists out all the mime parts to follow?
> 
> IMAP has a command that will describe the mime parts of a message
> without downloading the whole message.

Is there anything left to do here, or should we close this bug?